Summary:       X.Org X11 ICE runtime library
Name:          libICE
Version:       1.1.1
Release:       2%{?dist}
License:       MIT
URL:           http://www.x.org
Source0:       https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: autoconf automake libtool make
BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel xorg-x11-xtrans-devel

%description
The X.Org project provides an open source implementation of the X Window System
This package provides a X.Org X11 ICE (Inter-Client Exchange) runtime library.

%package       devel
Summary:       X.Org X11 ICE development package
Requires:      %{name} = %{version}-%{release}

%description   devel
This packages provides X.Org X11 ICE development files.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fiv
%configure --disable-static --without-fop --without-xmlto
%make_build

%install
rm -rf %{buildroot}

%make_install

rm -f %{buildroot}%{_libdir}/*.la
cp -p AUTHORS ChangeLog %{buildroot}%{_pkgdocdir}/

%files
%license COPYING
%dir %{_docdir}/%{name}
%{_pkgdocdir}/AUTHORS
%{_pkgdocdir}/ChangeLog
%{_libdir}/libICE.so.6
%{_libdir}/libICE.so.6.3.0

%files devel
%{_docdir}/%{name}/*.xml
%{_includedir}/X11/ICE
%{_libdir}/libICE.so
%{_libdir}/pkgconfig/ice.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 2 2023 Shuo Wang <abushwang@tencent.com> - 1.1.1-1
- update to 1.1.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.10-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 Shuo Wang <abushwang@tencent.com> - 1.0.10-1
- initial build
